Holger's Java API

## com.antelmann
Class LicenseTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          com.antelmann.util.table.AbstractObjectTableModel<License>
              com.antelmann.LicenseTableModel

All Implemented Interfaces:
  ListRetriever<License>, Refreshable, ObjectTableModel<License>, Serializable, Iterable<License>, TableModel

    public class LicenseTableModel

extends AbstractObjectTableModel<License>

used to view licenses in a JTable

Author:
  Holger Antelmann
See Also:
  `JTable`, Serialized Form

Field Summary

Fields inherited from class com.antelmann.util.table.AbstractObjectTableModel
`columnNames, columnTypes`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`LicenseTableModel()` initializes this table with the licenses from the LicenseManager
`LicenseTableModel(Collection<License> col)`

Method Summary
`int` `getColumnCount()`
`String` `getColumnName(int column)`
`Object` `getValueAt(int row, int column)`

Methods inherited from class com.antelmann.util.table.AbstractObjectTableModel
`add, add, clear, contains, getColumnClass, getList, getRelevantList, getRelevantListDescription, getRowCount, getRowFor, getRowValue, iterator, moveDown, moveUp, refreshContent, remove, remove, setColumnName, setColumnNames, setColumnType, setColumnTypes, setRowValues, swap`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.table.TableModel
`addTableModelListener, isCellEditable, removeTableModelListener, setValueAt`

Constructor Detail

### LicenseTableModel

    public LicenseTableModel()

  initializes this table with the licenses from the LicenseManager

### LicenseTableModel

    public LicenseTableModel(Collection<License> col)

Method Detail

### getColumnCount

    public int getColumnCount()

### getValueAt

    public Object getValueAt(int row,
                             int column)

### getColumnName

    public String getColumnName(int column)

  Specified by:
    `getColumnName` in interface `TableModel`
  Overrides:
    `getColumnName` in class `AbstractObjectTableModel<License>`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads